# 資格の取り消し（管理者）

ユーザーの権利を取り消します。

注意ゲームコードやDRMフリープラットフォームのゲームのみ取り消すことができます。

Endpoint: POST /v2/project/{project_id}/admin/entitlement/revoke
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

## Request fields (application/json):

  - `user_external_id` (string, required)
    一意のユーザー識別子。
    Example: "user-external-id"

  - `game` (object, required)
    ゲームプロパティを持つオブジェクト。
    Example: {"sku":"com.xsolla.game_1"}

  - `game.sku` (string, required)
    一意のキーパッケージID。
    Example: "com.xsolla.game_1"

  - `drm` (object, required)
    DRMプロパティを持つオブジェクト。
    Example: {"sku":"com.xsolla.key_1"}

  - `drm.sku` (string, required)
    一意のDRM ID。
    Enum: "steam", "playstation", "xbox", "uplay", "origin", "drmfree", "gog", "epicgames", "nintendo_eshop", "discord_game_store", "oculus", "rockstar", "viveport", "stadia"

  - `mode` (string, required)
    どのような種類の資格を取り消すかを指定します。このパラメータがsandboxに設定されている場合、サンドボックスモードのユーザーにエンタイトルメントが取り消されます。パラメータにdefaultが設定されている場合、エンタイトルメントはライブモードでユーザーに取り消されます。
    Enum: "default", "sandbox"

## Response 403 fields (application/json):

  - `statusCode` (integer)
    Example: 403

  - `errorCode` (integer)

  - `errorMessage` (string)
    Example: "Authorization header not sent."

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 5103

  - `errorMessage` (string)
    Example: "[0401-5103]: Selected drm is not drmfree."

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


## Response 204 fields
